## org.eclipse.datatools.enablement.sybase.ui.filter
Class SchemaObjectFilterProvider

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ui.filter.AbstractFilterProvider
          org.eclipse.datatools.enablement.sybase.ui.filter.SchemaObjectFilterProvider

All Implemented Interfaces:
  IFilterProvider

    public class SchemaObjectFilterProvider

extends AbstractFilterProvider

Author:
  linsong

Constructor Summary
`SchemaObjectFilterProvider(java.lang.String filterType)`

Method Summary
`org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionFilter` `getConnectionFilter(SQLObject sqlObj)` Returns the ConnectionFilter associated with the given catalog object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaObjectFilterProvider

    public SchemaObjectFilterProvider(java.lang.String filterType)

Parameters:
  `filterType` - the type of filter (e.g. ConnectionFilter.TABLE_FILTER)

Method Detail

### getConnectionFilter

    public org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionFilter getConnectionFilter(SQLObject sqlObj)

  Description copied from interface: `IFilterProvider`
  Returns the ConnectionFilter associated with the given catalog object. For example: If this object is to be used in conjunction with a table loader, this method should return the ConnectionFilter representing the table filtering criteria for the specified object (e.g. a particular schema object).

  Parameters:
    `sqlObj` - the sql object being display.
  Returns:
    the schema ConnectionFilter associated with the specified sql object (which must be a Schema).